PyCharm 3.1.3Preview解决了与python 3.4的兼容问题,不再出现AssertionError

RobertLu 发布于 2014/04/10 20:59
阅读 561
收藏 0

原来的情况是,PyCharm 3.1.1、3.1.2 和Python3.4不兼容。

表现为调试时(特别是Django程序)会出现AssertionError(详细Bug描述见http://youtrack.jetbrains.com/issue/PY-12317)。

现在,官方开发者放出3.1.3Preview版,(看起来)解决了该问题。

PyCharm 3.1.3 Preview版下载地址:

http://download.jetbrains.com/python/pycharm-community-133.1262.exe

http://download.jetbrains.com/python/pycharm-community-133.1262.tar.gz

http://download.jetbrains.com/python/pycharm-professional-133.1262.exe

http://download.jetbrains.com/python/pycharm-professional-133.1262.tar.gz


============

该Bug修复过程很曲折,PyCharm 3.1.2的rel note中就说修复了,可是并没有修复,直到3.1.3Preview才(貌似)修复。


另外,该Bug的状态仍然是Reopened,所以,如果这个bug仍然存在,请向官方回复(嗯,最好let me know啦)。

加载中
返回顶部
顶部